#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 43. Audio Utilities

- Prev

  Audio Utilities

- Next

  CDParanoia-III-10.2

- Up
- Home

# Audacious-4.1

## Introduction to Audacious

Audacious is an audio player.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://distfiles.audacious-media-player.org/audacious-4.1.tar.bz2

- Download MD5 sum: 22fbe28b073682d55ee87698f283e195

- Download size: 576 KB

- Estimated disk space required: 72 MB (with Qt user interface)

- Estimated build time: 0.7 SBU (with Qt user interface)

### Additional Downloads

Required Plugins

- Download (HTTP): https://distfiles.audacious-media-player.org/audacious-plugins-4.1.tar.bz2

- Download MD5 sum: 740d83757b49b82bc75e256c96b09bfd

- Download size: 1.7 MB

- Estimated disk space required: 157 MB (with Qt user interface)

- Estimated build time: 1.5 SBU (with Qt user interface)

### Audacious Dependencies

#### Required

GTK+-2.24.33 or Qt-5.15.2 (or both), libxml2-2.9.13 (plugins), Xorg build environment (plugins), and a graphical environment (runtime)

#### Recommended

ALSA-1.2.6 and dbus-1.12.20, also gnome-icon-theme-3.12.0 (runtime)

#### Optional

libarchive-3.6.0 and Valgrind-3.18.1

#### Recommended (for Plugins)

mpg123-1.29.3 and neon-0.32.2 (for online mpg3 and ogg radio)

#### Optional (for Plugins)

cURL-7.81.0, FAAD2-2_10_0, FFmpeg-4.4.1, FLAC-1.3.3, LAME-3.100, libcdio-2.1.0 (to identify and play CDs), libnotify-0.7.9, libsamplerate-0.2.2, libsndfile-1.0.31, libvorbis-1.3.7, PulseAudio-15.0, SDL-1.2.15, ampache-browser, adplug, The Bauer stereophonic-to-binaural DSP (bs2b) library, FluidSynth, JACK (requires libsamplerate-0.2.2), libcue, libmodplug, libmms, libopenmpt, libsidplayfp, LIRC, sndio, SoX, and WavPack

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/audacious

## Installation of Audacious

###

#### Installation of the Main Audacious Program

Install Audacious by running the following commands (you may wish to change the stamp to another string):

    TPUT=/bin/true ./configure --prefix=/usr \
                               --with-buildstamp="BLFS" &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

###

#### Installation of Audacious Plugins

Install the required plugins package by issuing the following commands:

    tar -xf ../audacious-plugins-4.1.tar.bz2                &&
    cd audacious-plugins-4.1                                &&
    TPUT=/bin/true ./configure --prefix=/usr --disable-wavpack &&
    make

Now, as the `root` user:

    make install

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK+-2.24.33 or GTK+-3.24.31 installed (for the icon cache) and desktop-file-utils-0.26 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`TPUT=/bin/true`: the default is for make to output text in color. This is fine if you are building in a terminal, but if you script the build process and pipe the output from make to a log file then the control characters used to color the text can make the logfile unreadable. This option prevents make from coloring the text.

`--with-buildstamp`: This switch appends the given text to the version string.

`--disable-wavpack`: This switch is required unless the optional WavPack package is installed.

`--enable-gtk`: Use this to enable GTK+ support.

`--disable-qt`: Use this to disable qt support.

`--disable-mp3`: Use this for the plugins if you have not installed mpg123 and do not wish to play mp3 files.

`--enable-valgrind`: Allow better Valgrind leak checks.

`--disable-neon`: Use this for the plugins if you have not installed neon, and do not want to use HTTP/HTTPS transport.

## Configuring Audacious

If you prefer the old, smaller Winamp/XMMS interface, click on View> Interface> Winamp Classic Interface.

If you built with both Gtk and Qt user interfaces, the Qt version can be executed from a terminal, issuing audacious --qt. If you wish a desktop menu entry to execute this Qt version, issue the following commands as the `root` user:

    cp -v /usr/share/applications/audacious{,-qt}.desktop &&

    sed -e '/^Name/ s/$/ Qt/' \
        -e '/Exec=/ s/audacious/& --qt/' \
        -i /usr/share/applications/audacious-qt.desktop

## Contents

Installed Programs: audacious and audtool
Installed Libraries: libaudcore.so, libaudgui.so, libaudqt.so, libaudtag.so, and several plugin libraries under /usr/lib/audacious/ sub-directories
Installed Directories: /usr/include/{audacious,libaudcore,libaudgui,libaudqt}, /usr/lib/audacious and /usr/share/audacious

### Short Descriptions

audacious | is a Qt port of XMMS based on the Beep Media Player
audtool | is a small tool to modify the behavior of a running audacious instance

Last updated on

- Prev

  Audio Utilities

- Next

  CDParanoia-III-10.2

- Up
- Home